Subject: Re: bug#20465: 24.4; GnuTLS integration seems faulty

From: Leandro Facchinetti <[email-masked]>
Date: Tue, 05 May 2015 06:39:03 -0400

> GM> git show emacs-24.4-1962-gccae04f
>
> GM> works fine for me.
>
> GM> (ccae04f205db7cffa0f247a463272f6c5af77122 if you prefer.)
>
> I've been using Git for years and didn't know this notation was built-in
> for `git show'. I kept trying `git show gccae04f' etc. and also looked
> through the `git log -p src/gnutls.c' history but didn't notice this
> commit. Thank you for explaining.

I learned something today!

>From the `gitrevisions(7)' manual:

    <describeOutput>, e.g. v1.7.4.2-679-g3bee7fb
        Output from git describe; i.e. a closest tag, optionally followed by a dash and a number of commits, followed by a dash, a g, and an
        abbreviated object name.

In fact:

    $ git describe --tags ccae04f205db7cffa0f247a463272f6c5af77122
    emacs-24.4-1962-gccae04f

And:

    $ git show emacs-24.4-1962-gccae04f

Then shows the commit.

That's interesting!

I couldn't test the fix yet because I don't want to learn how to build
Emacs just now. Instead, I'll wait for the next release (lazy, I know).

I'll send the e-mail that closes the issue.

Thanks!

>
> GM> It's why I merged this report with #18208 5 days ago, thus closing it.
>
> Cool, thanks!  I didn't see that in gmane.emacs.bugs and didn't think to check.
>
> GM> Presumably the desire was to indicate that the fixing commit came *after* 24.4.
>
> OK; understood.  A commit ID would have been less confusing to me.
>
> Ted

-- 
Leandro Facchinetti <[email-masked]>
https://www.leafac.com
GPG key: 3DF3D583